Page MenuHomePhabricator

Improve code coverage of SpecialImportFile::doImport()
Closed, ResolvedPublic2 Estimate Story Points

Description

SpecialImportFile::doImport() . This is a function of 20-30 lines, but needs an integration test

Details

Related Gerrit Patches:
mediawiki/extensions/FileImporter : masterAdd tests for SpecialImportFile::doImport

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptMar 27 2018, 3:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE set the point value for this task to 2.Mar 27 2018, 3:24 PM
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-05-02 board.

Change 431730 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/FileImporter@master] Add tests for SpecialImportFile::doImport

https://gerrit.wikimedia.org/r/431730

Change 431730 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Add tests for SpecialImportFile::doImport

https://gerrit.wikimedia.org/r/431730

Lea_WMDE closed this task as Resolved.May 16 2018, 10:29 AM
Lea_WMDE triaged this task as Medium priority.